<?php

namespace BAG\Laravel\Console;

use Symfony\Component\Console\Attribute\AsCommand;

#[AsCommand(name: 'bag:migrations')]
class MakeMigrations extends ProxyCommand
{
    /**
     * @var string
     */
    protected $signature = 'bag:migrations';

    /**
     * @var string
     */
    protected $description = 'Génère des migrations en comparant les models et les tables existants.';

    /**
     * @return int|null
     */
    public function proxyHandle()
    {
        $result = app(\BAG\Stack\Laravel\MakeMigrations::class)->run();

        if ($result) {
            $this->info('Migrations générées !');
        } else {
            $this->info('Aucune migration générée.');
        }

        return 0;
    }
}
