# BAG Laravel Helper

Ce package Laravel fournit des commandes pour générer du code via BAG par Bluesquare.

## Installation

Mettre à jour les sources de `composer.json` avec :

```shell
composer config repositories.bag vcs https://git.bluesquare.io/bag/laravel-helper.git -n
```

Puis installer le package :

```shell
composer require bag/laravel-helper
```

## Usage

Pour installer BAG :

```shell
php artisan bag:install
```

Pour générer un CRUD en créant/partant d'un model :

```shell
php artisan bag:crud
```

```shell
sail artisan bag:crud
```

Pour générer des migrations automatiquement :

```shell
php artisan bag:migrations
```

```shell
sail artisan bag:migrations
```
